Name:           python-vegas
Version:        6.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tools for adaptive multidimensional Monte Carlo integration.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/gplepage/vegas
Source:         %{pypi_source vegas}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'vegas' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-vegas
Summary:        %{summary}

%description -n python3-vegas %_description


%prep
%autosetup -p1 -n vegas-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-vegas -f %{pyproject_files}


%changelog
%autochangelog